Skip to main content
GET
/
v4
/
core
/
companies
/
{companyId}
/
invoice_payments
/
{id}
Get an invoice payment
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/companies/{companyId}/invoice_payments/{id} \
  --header 'api_key: <api-key>'
import requests

url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/invoice_payments/{id}"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/invoice_payments/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "data": {
      "rootfi_id": 123,
      "rootfi_created_at": "2023-11-07T05:31:56Z",
      "rootfi_updated_at": "2023-11-07T05:31:56Z",
      "platform_id": "<string>",
      "payment_id": "<string>",
      "invoice_id": "<string>",
      "account_id": "<string>",
      "credit_note_id": "<string>",
      "amount": 123,
      "payment_mode": "<string>",
      "currency_rate": 123,
      "document_number": "<string>",
      "memo": "<string>",
      "payment_date": "2023-11-07T05:31:56Z",
      "contact_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "invoice": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "transaction_ids": [
            "<string>"
          ],
          "order_ids": [
            "<string>"
          ],
          "sales_order_ids": [
            "<string>"
          ],
          "contact_id": "<string>",
          "currency_rate": 123,
          "document_number": "<string>",
          "posted_date": "2023-11-07T05:31:56Z",
          "due_date": "2023-11-07T05:31:56Z",
          "sub_total": 123,
          "tax_amount": 123,
          "total_discount": 123,
          "shipping_amount": 123,
          "total_amount": 123,
          "amount_paid": 123,
          "amount_refunded": 123,
          "amount_credited": 123,
          "amount_due": 123,
          "memo": "<string>",
          "subscription_id": "<string>",
          "payment_link": "<string>",
          "payment_link_expires_at": "2023-11-07T05:31:56Z",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "line_items": [
            {
              "rootfi_id": 123,
              "rootfi_created_at": "2023-11-07T05:31:56Z",
              "rootfi_updated_at": "2023-11-07T05:31:56Z",
              "platform_id": "<string>",
              "tracking_category_ids": [
                "<string>"
              ],
              "parent_id": "<string>",
              "item_id": "<string>",
              "name": "<string>",
              "description": "<string>",
              "quantity": 123,
              "unit_amount": 123,
              "tax_amount": 123,
              "discount_amount": 123,
              "sub_total": 123,
              "total_amount": 123,
              "tax_id": "<string>",
              "account_id": "<string>",
              "variant_id": "<string>",
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z",
              "item": [
                {
                  "rootfi_id": 123,
                  "rootfi_created_at": "2023-11-07T05:31:56Z",
                  "rootfi_updated_at": "2023-11-07T05:31:56Z",
                  "platform_id": "<string>",
                  "name": "<string>",
                  "description": "<string>",
                  "code": "<string>",
                  "sku": "<string>",
                  "price": 123,
                  "quantity_on_hand": 123,
                  "is_bill_item": true,
                  "bill_item": "<unknown>",
                  "is_invoice_item": true,
                  "invoice_item": "<unknown>",
                  "created_at": "2023-11-07T05:31:56Z",
                  "updated_at": "2023-11-07T05:31:56Z",
                  "variants": [
                    {
                      "rootfi_id": 123,
                      "rootfi_created_at": "2023-11-07T05:31:56Z",
                      "rootfi_updated_at": "2023-11-07T05:31:56Z",
                      "platform_id": "<string>",
                      "parent_id": "<string>",
                      "name": "<string>",
                      "sku": "<string>",
                      "price": 123,
                      "compare_at_price": 123,
                      "attributes": "<unknown>"
                    }
                  ]
                }
              ],
              "tax": [
                {
                  "rootfi_id": 123,
                  "rootfi_created_at": "2023-11-07T05:31:56Z",
                  "rootfi_updated_at": "2023-11-07T05:31:56Z",
                  "platform_id": "<string>",
                  "name": "<string>",
                  "code": "<string>",
                  "rate": 123,
                  "tax_type": "<string>",
                  "effective_tax_rate": 123,
                  "total_tax_rate": 123,
                  "components": "<unknown>",
                  "jurisdiction": "<string>",
                  "created_at": "2023-11-07T05:31:56Z",
                  "updated_at": "2023-11-07T05:31:56Z"
                }
              ],
              "account": [
                {
                  "rootfi_id": 123,
                  "rootfi_created_at": "2023-11-07T05:31:56Z",
                  "rootfi_updated_at": "2023-11-07T05:31:56Z",
                  "platform_id": "<string>",
                  "nominal_code": "<string>",
                  "name": "<string>",
                  "description": "<string>",
                  "current_balance": 123,
                  "sub_category": "<string>",
                  "parent_account_id": "<string>",
                  "updated_at": "2023-11-07T05:31:56Z"
                }
              ],
              "variant": [
                {
                  "rootfi_id": 123,
                  "rootfi_created_at": "2023-11-07T05:31:56Z",
                  "rootfi_updated_at": "2023-11-07T05:31:56Z",
                  "platform_id": "<string>",
                  "parent_id": "<string>",
                  "name": "<string>",
                  "sku": "<string>",
                  "price": 123,
                  "compare_at_price": 123,
                  "attributes": "<unknown>"
                }
              ]
            }
          ],
          "addresses": [
            {
              "rootfi_id": 123,
              "rootfi_created_at": "2023-11-07T05:31:56Z",
              "rootfi_updated_at": "2023-11-07T05:31:56Z",
              "platform_id": "<string>",
              "parent_id": "<string>",
              "street": "<string>",
              "street2": "<string>",
              "locality": "<string>",
              "city": "<string>",
              "state": "<string>",
              "postal_code": "<string>",
              "country": "<string>"
            }
          ],
          "documents": [
            {
              "rootfi_id": 123,
              "rootfi_created_at": "2023-11-07T05:31:56Z",
              "rootfi_updated_at": "2023-11-07T05:31:56Z",
              "platform_id": "<string>",
              "file_name": "<string>",
              "file_type": "<string>",
              "file_size": 123,
              "document_type_id": "<string>",
              "document_uploaded": true,
              "updated_at": "2023-11-07T05:31:56Z"
            }
          ]
        }
      ],
      "contact": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "name": "<string>",
          "contact_name": "<string>",
          "email": "<string>",
          "phone": "<string>",
          "tax_number": "<string>",
          "registration_number": "<string>",
          "website": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "addresses": [
            {
              "rootfi_id": 123,
              "rootfi_created_at": "2023-11-07T05:31:56Z",
              "rootfi_updated_at": "2023-11-07T05:31:56Z",
              "platform_id": "<string>",
              "parent_id": "<string>",
              "street": "<string>",
              "street2": "<string>",
              "locality": "<string>",
              "city": "<string>",
              "state": "<string>",
              "postal_code": "<string>",
              "country": "<string>"
            }
          ],
          "phone_numbers": [
            {
              "rootfi_id": 123,
              "rootfi_created_at": "2023-11-07T05:31:56Z",
              "rootfi_updated_at": "2023-11-07T05:31:56Z",
              "platform_id": "<string>",
              "parent_id": "<string>",
              "number": "<string>"
            }
          ],
          "external_links": [
            {
              "rootfi_id": 123,
              "rootfi_created_at": "2023-11-07T05:31:56Z",
              "rootfi_updated_at": "2023-11-07T05:31:56Z",
              "platform_id": "<string>",
              "parent_id": "<string>",
              "link": "<string>"
            }
          ]
        }
      ],
      "currency": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "name": "<string>",
          "code": "<string>",
          "symbol": "<string>",
          "is_base_currency": true,
          "exchange_rate": 123,
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "account": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "nominal_code": "<string>",
          "name": "<string>",
          "description": "<string>",
          "current_balance": 123,
          "sub_category": "<string>",
          "parent_account_id": "<string>",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  },
  "request_id": "<string>"
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

id
integer
required

The record's rootfi_id.

Query Parameters

expand
string

Comma-separated related resources to expand.

Response

200 - application/json

A single invoice_payments record.

data
object
required
request_id
string
required